// file: $isip/class/pr/LanguageModelJSGF/lmjsgf_05.cc
//

// system include files
//
#include <typeinfo>

// isip include files
//
#include "LanguageModelJSGF.h"

// method: assign
//
// arguments:
//  const LanguageModelBase& arg: (input) object to assign
//
// return: a boolean value
//
// this method assigns input argument to current argument
//
boolean LanguageModelJSGF::assign(const LanguageModelBase& arg_a) {

  if (typeid(arg_a) == typeid(LanguageModelJSGF)) {
    return assign((LanguageModelJSGF&)arg_a);
  }
  else {
    return Error::handle(name(), L"assign", Error::ARG, __FILE__, __LINE__);
  }
}
